Bug 445610

Summary: Cannot create new archives
Product: ark Reporter: Kai Uwe Broulik <kde>
Component: generalAssignee: Elvis Angelaccio <elvis.angelaccio>
Status: RESOLVED FIXED    
Severity: normal CC: aacid, alexander.lohnau, nate, rthomsen6
Priority: VHI Keywords: regression
Version: unspecified   
Target Milestone: ---   
Platform: Other   
OS: Linux   
Latest Commit: Version Fixed In: 21.12

Description Kai Uwe Broulik 2021-11-16 19:55:55 UTC
SUMMARY
I am unable to create a new archive with Ark

STEPS TO REPRODUCE
1. Start Ark
2. Click "Create New Archive"
3. Choose a folder
4. Choose a name
5. Choose a format (I tried .tar and .tar.lz4)

OBSERVED RESULT
Nothing happens, no archive file is created in the designated location, no error on terminal, no view change (remains on Welcome page)

EXPECTED RESULT
A new archive is created and opened

SOFTWARE/OS VERSIONS
Linux/KDE Plasma: git master as of 2021-11-16

ADDITIONAL INFORMATION
Opening existing archives works, it just doesn't create new ones.
Comment 1 Alexander Lohnau 2021-11-16 20:03:58 UTC
Can confirm the issue, the KFileItemActions plugin works fine though
Comment 2 Albert Astals Cid 2021-11-16 21:47:04 UTC
I think you can, it's just that the main page is not correctly implemented and does not disappear (i already complained about that but noone did anything).

Can you confirm that after all those steps you can do Archive->Add files (and you can't before the steps)?
Comment 3 Kai Uwe Broulik 2021-11-16 21:52:52 UTC
Ah, yeah, I opened an existing archive, then chose "Create New" and it told me "The archive will be created once you add files".

So it's really only the welcome page not disappearing.
Comment 4 Bug Janitor Service 2021-11-16 22:06:40 UTC
A possibly relevant merge request was started @ https://invent.kde.org/utilities/ark/-/merge_requests/74
Comment 5 Kai Uwe Broulik 2021-11-22 10:12:07 UTC
Git commit 1f3a3b554056d4d3cdec651b4add086c0dcbe42b by Kai Uwe Broulik.
Committed on 22/11/2021 at 09:49.
Pushed by aacid into branch 'release/21.12'.

Emit readiness when creating new archive

There won't be any asynchronous job done, the part will be
immediately ready. Ensures the welcome screen hides properly.

M  +1    -0    part/part.cpp

https://invent.kde.org/utilities/ark/commit/1f3a3b554056d4d3cdec651b4add086c0dcbe42b